OGRE-Next: Ogre::TextureDefinitionBase::TextureDefinition Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::TextureDefinitionBase::TextureDefinition Class Reference

Local texture definition. More...

`#include <OgreTextureDefinition.h>`

Inheritance diagram for Ogre::TextureDefinitionBase::TextureDefinition:
[legend]

## Public Member Functions
| TextureDefinition (IdString _name)
void | _setName (IdString newName)
| Do not call directly.
IdString | getName () const

## Public Attributes
bool | bTargetOrientation
PixelFormatGpu | depthBufferFormat
uint16 | depthBufferId
| This is a default value for the texture, but can be overriden by an RTV definition.
uint32 | depthOrSlices
PixelFormatGpu | format
| Use PFG_UNKNOWN to use same format as main target.
String | fsaa
| "1" = Disable.
uint32 | height
float | heightFactor
uint8 | numMipmaps
bool | preferDepthTexture
uint32 | textureFlags
| See TextureFlags::TextureFlags.
TextureTypes::TextureTypes | textureType
uint32 | width
float | widthFactor

## Detailed Description

Local texture definition.

## Constructor & Destructor Documentation

## ◆ TextureDefinition()

Ogre::TextureDefinitionBase::TextureDefinition::TextureDefinition | ( | IdString | _name | ) |
| inline

References bTargetOrientation, depthBufferFormat, depthBufferId, depthOrSlices, format, fsaa, height, heightFactor, numMipmaps, Ogre::PFG_UNKNOWN, preferDepthTexture, textureFlags, textureType, width, and widthFactor.

## Member Function Documentation

## ◆ _setName()

void Ogre::TextureDefinitionBase::TextureDefinition::_setName | ( | IdString | newName | ) |
| inline

Do not call directly.

See also
  TextureDefinition::renameTexture instead.

## ◆ getName()

IdString Ogre::TextureDefinitionBase::TextureDefinition::getName | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ bTargetOrientation

bool Ogre::TextureDefinitionBase::TextureDefinition::bTargetOrientation

Referenced by TextureDefinition().

## ◆ depthBufferFormat

PixelFormatGpu Ogre::TextureDefinitionBase::TextureDefinition::depthBufferFormat

Referenced by TextureDefinition().

## ◆ depthBufferId

uint16 Ogre::TextureDefinitionBase::TextureDefinition::depthBufferId

This is a default value for the texture, but can be overriden by an RTV definition.

See RenderTargetViewEntry::depthBufferId

Referenced by TextureDefinition().

## ◆ depthOrSlices

uint32 Ogre::TextureDefinitionBase::TextureDefinition::depthOrSlices

Referenced by TextureDefinition().

## ◆ format

PixelFormatGpu Ogre::TextureDefinitionBase::TextureDefinition::format

Use PFG_UNKNOWN to use same format as main target.

Referenced by TextureDefinition().

## ◆ fsaa

String Ogre::TextureDefinitionBase::TextureDefinition::fsaa

"1" = Disable.

"8", "8x", "8x MSAA Center", "8x CSAA" = Enable "" = Use same setting as main target

Referenced by TextureDefinition().

## ◆ height

uint32 Ogre::TextureDefinitionBase::TextureDefinition::height

Referenced by TextureDefinition().

## ◆ heightFactor

float Ogre::TextureDefinitionBase::TextureDefinition::heightFactor

Referenced by TextureDefinition().

## ◆ numMipmaps

uint8 Ogre::TextureDefinitionBase::TextureDefinition::numMipmaps

Referenced by TextureDefinition().

## ◆ preferDepthTexture

bool Ogre::TextureDefinitionBase::TextureDefinition::preferDepthTexture

Referenced by TextureDefinition().

## ◆ textureFlags

uint32 Ogre::TextureDefinitionBase::TextureDefinition::textureFlags

See TextureFlags::TextureFlags.

Valid flags are: NotTexture (only valid if Uav is present) RenderToTexture (must be present unless Uav is present) Uav (must be present unless RenderToTexture is present) AllowAutomipmaps AutomipmapsAuto MsaaExplicitResolve DiscardableContent Note that RenderToTexture & Uav can coexist.

Referenced by TextureDefinition().

## ◆ textureType

TextureTypes::TextureTypes Ogre::TextureDefinitionBase::TextureDefinition::textureType

Referenced by TextureDefinition().

## ◆ width

uint32 Ogre::TextureDefinitionBase::TextureDefinition::width

Referenced by TextureDefinition().

## ◆ widthFactor

float Ogre::TextureDefinitionBase::TextureDefinition::widthFactor

Referenced by TextureDefinition().

The documentation for this class was generated from the following file:

- OgreTextureDefinition.h